package net.northking.cctp.platform.dto.user;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

@JsonSerialize
@ApiModel(description = "用户雪狼信息")
public class CltUserLoginDto {
    @ApiModelProperty("用户id")
    private String id;
    /**
     * 用户登录号<br>loginNo
     */
    @ApiModelProperty("用户登录号")
    private String loginNo;

    /**
     * 用户中文名称<br>
     */
    @ApiModelProperty("用户中文名称")
    private String userChnName;
    /**
     * 雪狼工号
     *
     */
    @ApiModelProperty(value = "雪狼工号")
    private String operCode;

    @ApiModelProperty(value = "租户id")
    private String tenantId;

    @ApiModelProperty("机构id")
    private String orgId;

    public CltUserLoginDto(String id, String loginNo, String userChnName, String operCode, String tenantId, String orgId) {
        this.id = id;
        this.loginNo = loginNo;
        this.userChnName = userChnName;
        this.operCode = operCode;
        this.tenantId = tenantId;
        this.orgId = orgId;
    }

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getLoginNo() {
        return loginNo;
    }

    public void setLoginNo(String loginNo) {
        this.loginNo = loginNo;
    }

    public String getUserChnName() {
        return userChnName;
    }

    public void setUserChnName(String userChnName) {
        this.userChnName = userChnName;
    }

    public String getOperCode() {
        return operCode;
    }

    public void setOperCode(String operCode) {
        this.operCode = operCode;
    }

    public String getTenantId() {
        return tenantId;
    }

    public void setTenantId(String tenantId) {
        this.tenantId = tenantId;
    }

    public String getOrgId() {
        return orgId;
    }

    public void setOrgId(String orgId) {
        this.orgId = orgId;
    }
}
